summaryrefslogtreecommitdiffstats
path: root/win/configure
diff options
context:
space:
mode:
authorjan.nijtmans <nijtmans@users.sourceforge.net>2012-04-06 22:38:13 (GMT)
committerjan.nijtmans <nijtmans@users.sourceforge.net>2012-04-06 22:38:13 (GMT)
commit34455b2ccec84bccf8f6380ee8ac40637bf4b8f8 (patch)
treed9ad95326825a71a929d3ee9fc22ddda9e7e02f8 /win/configure
parentf61ecd111ced0ae28cf4b46da371fb0942ad2532 (diff)
parentedf582e29363915f6b8ea7954176768d8545934f (diff)
downloadtk-34455b2ccec84bccf8f6380ee8ac40637bf4b8f8.zip
tk-34455b2ccec84bccf8f6380ee8ac40637bf4b8f8.tar.gz
tk-34455b2ccec84bccf8f6380ee8ac40637bf4b8f8.tar.bz2
some more cygwin compatibility improvements
format tk.decls like tcl8.5/8.6
Diffstat (limited to 'win/configure')
-rwxr-xr-xwin/configure20
1 files changed, 12 insertions, 8 deletions
diff --git a/win/configure b/win/configure
index ddcc116..29f68fb 100755
--- a/win/configure
+++ b/win/configure
@@ -3291,7 +3291,7 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #ifdef __WIN32__
+ #ifndef __WIN32__
#error cross-compiler
#endif
@@ -3325,12 +3325,12 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_cross=yes
+ ac_cv_cross=no
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-ac_cv_cross=no
+ac_cv_cross=yes
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
@@ -3579,8 +3579,8 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
- #ifdef _WIN64
- #error 64-bit
+ #ifndef _WIN64
+ #error 32-bit
#endif
int
@@ -3613,12 +3613,12 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- tcl_win_64bit=no
+ tcl_win_64bit=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-tcl_win_64bit=yes
+tcl_win_64bit=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
@@ -4667,9 +4667,13 @@ echo "$as_me: error: Tcl directory $TCL_BIN_DIR does not exist" >&2;}
{ (exit 1); exit 1; }; }
fi
if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
- { { echo "$as_me:$LINENO: error: There is no tclConfig.sh in $TCL_BIN_DIR: perhaps you did not specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" >&5
+ if test ! -f $TCL_BIN_DIR/../unix/tclConfig.sh; then
+ { { echo "$as_me:$LINENO: error: There is no tclConfig.sh in $TCL_BIN_DIR: perhaps you did not specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" >&5
echo "$as_me: error: There is no tclConfig.sh in $TCL_BIN_DIR: perhaps you did not specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" >&2;}
{ (exit 1); exit 1; }; }
+ fi
+ TCL_BIN_DIR=`cd ${TCL_BIN_DIR}/../unix; pwd`
+ CFLAGS="$CFLAGS -mwin32"
fi
echo "$as_me:$LINENO: result: $TCL_BIN_DIR/tclConfig.sh" >&5
echo "${ECHO_T}$TCL_BIN_DIR/tclConfig.sh" >&6